std::exponential_distribution< _RealType >(3)

NAME
std::exponential_distribution< _RealType > - An exponential continuous distribution for random numbers.

SYNOPSIS

#include <random>

  Classes
struct param_type

  Public Types
typedef _RealType result_type

  Public Member Functions
exponential_distribution ()
Constructs an exponential distribution with inverse scale parameter 1.0.
exponential_distribution (_RealType __lambda)
Constructs an exponential distribution with inverse scale parameter $$.
exponential_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType lambda () const
Returns the inverse scale parameter of the distribution.
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends
bool operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)
Return true if two exponential distributions have the same parameters.

Detailed Description

  template<typename _RealType = double>
class std::exponential_distribution< _RealType >"An exponential continuous distribution for random numbers. The formula for the exponential probability density function is $p(x|) = e^{- x}$.

Mean$ac{1}{}$ Median$ac{ge$[0, infty]$ Standard Deviation$ac{1}{}$

Since
    C++11

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::exponential_distribution< _RealType >::result_type
The type of the range of the distribution.

Constructor & Destructor Documentation

  template<typename _RealType = double> std::exponential_distribution< _RealType >::exponential_distribution () [inline]

Constructs an exponential distribution with inverse scale parameter 1.0.

  template<typename _RealType = double> std::exponential_distribution< _RealType >::exponential_distribution (_RealType __lambda) [inline], [explicit]

Constructs an exponential distribution with inverse scale parameter $$.

Member Function Documentation

  template<typename _RealType = double> _RealType std::exponential_distribution< _RealType >::lambda () const [inline]

Returns the inverse scale parameter of the distribution.

  template<typename _RealType = double> result_type std::exponential_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

References std::numeric_limits< _Tp >::max().

  template<typename _RealType = double> result_type std::exponential_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator > result_type std::exponential_distribution< _RealType >::operator() (_UniformRandomNumberGenerator & __urng) [inline]

Generating functions.

References std::exponential_distribution< _RealType >::operator()().

Referenced by std::exponential_distribution< _RealType >::operator()().

  template<typename _RealType = double> param_type std::exponential_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

Referenced by std::operator>>().

  template<typename _RealType = double> void std::exponential_distribution< _RealType >::param (const param_type & __param) [inline]

Sets the parameter set of the distribution.

Parameters
    __param The new parameter set of the distribution.

References std::forward().

  template<typename _RealType = double> void std::exponential_distribution< _RealType >::reset () [inline]

Resets the distribution state. Has no effect on exponential distributions.

Friends And Related Symbol Documentation

  template<typename _RealType = double> bool operator== (const exponential_distribution< _RealType > & __d1, const exponential_distribution< _RealType > & __d2) [friend]

Return true if two exponential distributions have the same parameters.

Author

Generated automatically by Doxygen for libstdc++ from the source code.